For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETGet tool schemas
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
Dashboard
LogoLogo
Runtype APITools

Get tool details

GET
/v1/tools/:id
GET
/v1/tools/:id
$curl https://api.runtype.com/v1/tools/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "id": "a3f47b9e-8c2d-4f3a-9b6e-2d5f7a1c9e4b",
3 "name": "Content Summarizer",
4 "description": "A tool that summarizes long articles into concise summaries.",
5 "toolType": "text-processing",
6 "isActive": true,
7 "createdAt": "2024-05-10T09:15:30Z",
8 "updatedAt": "2024-06-01T12:00:00Z",
9 "userId": "user_789fgh45",
10 "organizationId": "org_123abcde",
11 "config": {
12 "maxLength": 300,
13 "language": "en",
14 "includeKeywords": true
15 },
16 "parametersSchema": {
17 "maxLength": {
18 "type": "integer",
19 "minimum": 50,
20 "maximum": 1000,
21 "default": 300
22 },
23 "language": {
24 "type": "string",
25 "enum": [
26 "en",
27 "es",
28 "fr",
29 "de"
30 ],
31 "default": "en"
32 }
33 },
34 "validation": {
35 "warnings": [
36 {
37 "severity": "warning",
38 "code": "MAX_LENGTH_EXCEEDED",
39 "message": "The maxLength parameter exceeds recommended limits.",
40 "suggestion": "Reduce maxLength to 500 or less for optimal performance.",
41 "line": 12,
42 "column": 5
43 }
44 ]
45 }
46}
Get a tool by ID including its full configuration.
Was this page helpful?
Previous

Update tool

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Tool details
idstring
namestring
descriptionstring or null
toolTypestring
isActiveboolean
createdAtstring
updatedAtstring
userIdstring
organizationIdstring or null
configmap from strings to any or null
parametersSchemamap from strings to any
validationobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error